Subject: Re: [bess] SRv6 BGP based Overlay Services (draft-ietf-bess-srv6-services-07)

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Fri, 22 Oct 2021 13:22:35 +0000

Hi Haibo,

Thanks for your feedback and confirmation. Indeed the “alternate steering mechanism” is better. Will push this change in the next revision.

Thanks,
Ketan

From: Wanghaibo (Rainsword) <[email-masked]>
Sent: 28 September 2021 15:31
To: Ketan Talaulikar (ketant) <[email-masked]>; [email-masked]
Cc: [email-masked]; [email-masked]; Aissaoui, Mustapha (Nokia - CA/Ottawa) <[email-masked]>; Shraddha Hegde <[email-masked]>
Subject: RE: SRv6 BGP based Overlay Services (draft-ietf-bess-srv6-services-07)

Hi Ketan,

I’m sorry I have missed your reply.

For SRv6 services, we may have two choice for service. Use SRv6 SID to do best effort, or use <N,C> to steering to a SRv6 Policy。
Also we may use both of them, but most time we are priority to use the SRv6 Policy than fall-back to SRv6 best effort, while SRv6 Policy is down.
So I think maybe use “alternate steering mechanism” is better.  Or maybe I misunderstood the sentence?

Regards,
Haibo

From: Ketan Talaulikar (ketant) [mailto:[email-masked]]
Sent: Thursday, September 16, 2021 4:55 PM
To: Wanghaibo (Rainsword) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Aissaoui, Mustapha (Nokia - CA/Ottawa) <[email-masked]<mailto:[email-masked]>>; Shraddha Hegde <[email-masked]<mailto:[email-masked]>>
Subject: RE: SRv6 BGP based Overlay Services (draft-ietf-bess-srv6-services-07)

Hi Haibo,

Since the discussion on the list was related to fallback mechanisms, we have those words.

How about s/fallback mechanism /alternate steering mechanism ? Or please suggest if you had something else in your mind.

Thanks,
Ketan

From: Wanghaibo (Rainsword) <[email-masked]<mailto:[email-masked]>>
Sent: 16 September 2021 14:13
To: Ketan Talaulikar (ketant) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Aissaoui, Mustapha (Nokia - CA/Ottawa) <[email-masked]<mailto:[email-masked]>>; Shraddha Hegde <[email-masked]<mailto:[email-masked]>>
Subject: RE: SRv6 BGP based Overlay Services (draft-ietf-bess-srv6-services-07)

Hi Ketan,

       I think the overall description is OK. But is it appropriate to use the word “fallback mechanism”?

Regards,
Haibo

From: spring [mailto:[email-masked]] On Behalf Of Ketan Talaulikar (ketant)
Sent: Wednesday, September 15, 2021 11:00 AM
To: [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Aissaoui, Mustapha (Nokia - CA/Ottawa) <[email-masked]<mailto:[email-masked]>>; Shraddha Hegde <[email-masked]<mailto:[email-masked]>>
Subject: Re: [spring] SRv6 BGP based Overlay Services (draft-ietf-bess-srv6-services-07)

Hello All,

Getting back on this topic with a text update proposal for sec 5 and 6 of the draft.

The objective of this change is to clarify the use of the SHOULD that is used in this text.

OLD/CURRENT
   When providing best-effort connectivity to the egress PE, the ingress
   PE encapsulates the payload in an outer IPv6 header where the
   destination address is the SRv6 Service SID associated with the
   related BGP route update.  Therefore, the ingress PE SHOULD perform
   resolvability check for the SRv6 Service SID before considering the
   received prefix for the BGP best path computation.

NEW
   When the steering for SRv6 services is based on shortest path forwarding (e.g., best-effort or IGP Flexible Algorithm [I-D.ietf-lsr-flex-algo]) to the egress PE, the ingress
   PE encapsulates the payload in an outer IPv6 header where the
   destination address is the SRv6 Service SID associated with the
   related BGP route update.  Therefore, the ingress PE SHOULD perform
   resolvability check for the SRv6 Service SID before considering the
   received prefix for the BGP best path computation.  The result of an
   SRv6 Service SID reachability (e.g. when provided via IGP Flexible
   Algorithm) can be ignored if the ingress PE has a local policy that
   allows a fallback mechanism to reach the egress PE. The details of
   such fallback mechanisms is outside the scope of this document.

Please let know your feedback. The authors will look to incorporate this change along with any other comments as part of the AD review updates.

Thanks,
Ketan

From: Aissaoui, Mustapha (Nokia - CA/Ottawa) <[email-masked]<mailto:[email-masked]>>
Sent: 23 July 2021 22:10
To: Ketan Talaulikar (ketant) <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; Shraddha Hegde <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: SRv6 BGP based Overlay Services (draft-ietf-bess-srv6-services-07)

That is great. Thank you.

Mustapha.

From: Ketan Talaulikar (ketant) <[email-masked]<mailto:[email-masked]>>
Sent: Friday, July 23, 2021 11:08 AM
To: Aissaoui, Mustapha (Nokia - CA/Ottawa) <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; Shraddha Hegde <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: SRv6 BGP based Overlay Services (draft-ietf-bess-srv6-services-07)

< trimming list to mostly mailers >

Hi Mustapha,

I agree.

Also after seeing Shraddha’s latest email, the coverage and details for the fallback mechanisms that she seems to be looking for is quite vast and better tackled in a separate document since this one has completed its WGLC. Some of those concepts are applicable for MPLS as well and not SRv6 specific.

We (authors) will work on some text proposal and get back to the WG next week.

Thanks,
Ketan

From: Aissaoui, Mustapha (Nokia - CA/Ottawa) <[email-masked]<mailto:[email-masked]>>
Sent: 23 July 2021 19:20
To: Ketan Talaulikar (ketant) <[email-masked]<mailto:[email-masked]>>; Rajesh M <[email-masked]<mailto:[email-masked]>>; Rajesh M <[email-masked]<mailto:[email-masked]>>; Rabadan, Jorge (Nokia - US/Mountain View) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; Clarence Filsfils (cfilsfil) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Srihari Sangli <[email-masked]<mailto:[email-masked]>>; Shraddha Hegde <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: RE: SRv6 BGP based Overlay Services (draft-ietf-bess-srv6-services-07)

Hi Ketan,
I believe it will be worth expanding the text in draft-ietf-bess-srv6-services to describe the two types of transport more consistently and along the lines of what you wrote below. Also, I would propose that we move away from terminology like best-effort service and instead just mention shortest path forwarding in base topology or in flex-algo topology.

Mustapha.

From: spring <[email-masked]<mailto:[email-masked]>> On Behalf Of Ketan Talaulikar (ketant)
Sent: Thursday, July 22, 2021 3:43 AM
To: Rajesh M <[email-masked]<mailto:[email-masked]>>; Rajesh M <mrajesh=[email-masked]<mailto:mrajesh=[email-masked]>>; Rabadan, Jorge (Nokia - US/Mountain View) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; Clarence Filsfils (cfilsfil) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Srihari Sangli <[email-masked]<mailto:[email-masked]>>; Shraddha Hegde <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: Re: [spring] SRv6 BGP based Overlay Services (draft-ietf-bess-srv6-services-07)

Hi Rajesh,

My apologies for the delay in my response. However, some of my co-authors and other WG members have already clarified this point. Let me try to summarize.

The draft covers two SRv6 based mechanisms for the transport of services between SRv6 PEs. (1) using SR Policy based steering (i.e. for service routes with Color Extended Communities) using the H.encap construct along with a list of SRv6 segments  and the other (2) using H.encap with just the SRv6 Service SID in the IPv6 DA.

As mentioned in the draft, it is required to verify the reachability of the SRv6 Service SID before the mechanism (2) can be used. This is an explicit clarification for verification of reachability. In an MPLS-VPN scenario, if the egress PE NH’s IP route is reachable at the ingress PE but without an MPLS label, such a path cannot be used. This is semantically similar.

The mechanism (1) is different since the routing to the egress PE is via SR Policy and hence the requirement for verification of reachability of the SRv6 Service SID is not there.

There is no mandate for the setting of the NH since that is left to deployment design.

I hope this helps in addition to the various clarifications already provided by others.

Thanks,
Ketan

From: Rajesh M <[email-masked]<mailto:[email-masked]>>
Sent: 22 July 2021 12:09
To: Rajesh M <mrajesh=[email-masked]<mailto:mrajesh=[email-masked]>>; Rabadan, Jorge (Nokia - US/Mountain View) <[email-masked]<mailto:[email-masked]>>; Ketan Talaulikar (ketant) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; Clarence Filsfils (cfilsfil) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Shraddha Hegde <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; Srihari Sangli <[email-masked]<mailto:[email-masked]>>
Subject: RE: SRv6 BGP based Overlay Services (draft-ietf-bess-srv6-services-07)

Could Authors respond to this ?

Juniper Business Use Only
From: Rajesh M <mrajesh=[email-masked]<mailto:mrajesh=[email-masked]>>
Sent: Monday, July 19, 2021 7:28 PM
To: Rabadan, Jorge (Nokia - US/Mountain View) <[email-masked]<mailto:[email-masked]>>; Rajesh M <[email-masked]<mailto:[email-masked]>>; Ketan Talaulikar (ketant) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; Clarence Filsfils (cfilsfil) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Shraddha Hegde <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; Srihari Sangli <[email-masked]<mailto:[email-masked]>>
Subject: RE: SRv6 BGP based Overlay Services (draft-ietf-bess-srv6-services-07)

[External Email. Be cautious of content]

Hi All,

For best effort service, flex algo - Resolve SRv6 Service SID for forwarding.
For SR-TE, CAR/CT - Resolve BGP next hop for forwarding.

There is no unification here, it’s better to unify.
Any other solution is OK.

Thanks
Rajesh

Juniper Business Use Only
From: Rabadan, Jorge (Nokia - US/Mountain View) <[email-masked]<mailto:[email-masked]>>
Sent: Monday, July 19, 2021 7:17 PM
To: Rajesh M <[email-masked]<mailto:[email-masked]>>; Rajesh M <mrajesh=[email-masked]<mailto:mrajesh=[email-masked]>>; Ketan Talaulikar (ketant) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; Clarence Filsfils (cfilsfil) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Shraddha Hegde <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; Srihari Sangli <[email-masked]<mailto:[email-masked]>>
Subject: Re: SRv6 BGP based Overlay Services (draft-ietf-bess-srv6-services-07)

[External Email. Be cautious of content]

Hi Rajesh,

The draft is written so that the next-hop address MAY be covered by the locator, but there are cases in which the next-hop address is not part of the locator prefix, and there are implementations already allowing that, so I don’t agree the document should mandate what you are suggesting.

Thanks.
Jorge

From: Rajesh M <[email-masked]<mailto:[email-masked]>>
Date: Monday, July 19, 2021 at 3:24 PM
To: Rajesh M <mrajesh=[email-masked]<mailto:mrajesh=[email-masked]>>, Ketan Talaulikar (ketant) <[email-masked]<mailto:[email-masked]>>, [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>, Clarence Filsfils (cfilsfil) <[email-masked]<mailto:[email-masked]>>, [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>, [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>, Rabadan, Jorge (Nokia - US/Mountain View) <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>, [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>, Shraddha Hegde <[email-masked]<mailto:[email-masked]>>, [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>, Srihari Sangli <[email-masked]<mailto:[email-masked]>>
Subject: RE: SRv6 BGP based Overlay Services (draft-ietf-bess-srv6-services-07)
Hi Authors,

Please respond.

Thanks
Rajesh

Juniper Business Use Only
From: spring <[email-masked]<mailto:[email-masked]>> On Behalf Of Rajesh M
Sent: Thursday, July 15, 2021 4:36 PM
To: Ketan Talaulikar (ketant) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; Clarence Filsfils (cfilsfil) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Shraddha Hegde <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: [spring] SRv6 BGP based Overlay Services (draft-ietf-bess-srv6-services-07)

[External Email. Be cautious of content]

Hi All,

As per this draft, this is how resolution must work.

1)For Non Intent service Route:
if BGP next hop is not reachable return.
Resolve SRv6 Service SID for forwarding.

2)For Intent service Route (IGP Flex-Algo first then BGP CAR then SR Policy):
BGP next hop is not reachable return.
Resolve SRv6 Service SID for forwarding(To find IGP flex algo).if successfully resolves then return.
Resolve BGP next hop for forwarding (in case above is not success).

Using Service SID (overlay),for resolution is definitely not recommended.

Instead in case of srv6, we always resolve on BGP nexthop. This will be in line with BGP legacy.
In case of best effort/flex algo we must mandate user to set corresponding locator as BGP nexthop for srv6 routes.
I think this is a reasonable mandate.

Thanks
Rajesh

Juniper Business Use Only